<?php
if (!defined( 'ABSPATH' )) exit;
wp_register_style( 'bootstrap', WOO2APP_CSS_URL.'bootstrap.css');
wp_enqueue_style( 'bootstrap' );
wp_register_style( 'font-awesome', 'https://use.fontawesome.com/releases/v5.8.2/css/all.css' );
wp_enqueue_style( 'font-awesome' );

require_once  'icons_div.php';
?>

<style>
    #font-awesome-list div {
        float: left;
        width: 40%;
        padding: 10px;
        margin: 8px;
        cursor: pointer;
    }
    #font-awesome-list div:hover {
        background-color: #e5e5e5 ;
    }
    #font-awesome-list div i{
        font-size: 25px;
        margin-right: 10px;
        float: left;
    }
    #font-awesome-list div .icon-name{
        float: left;
    }
    li{
        cursor:move;
    }
    .icon_plus , .icon_sort , .icon_minus{
        font-size:20px;
        font-weight:bold;
    }
    .icon_plus{
        color:#7ad87a;
    }
    .icon_sort{
        color:#0dcae8;
    }
    .icon_minus{
        color:#e80d0d;
    }
    .icon_plus :hover , .icon_sort :hover , .icon_minus :hover{
        cursor:pointer;
        transition: transform .2s; /* Animation */
        transform: scale(1.5);
    }
    .modal {
        text-align: center;
        padding: 0!important;
    }

    .modal:before {
        content: '';
        display: inline-block;
        height: 100%;
        vertical-align: middle;
        margin-right: -4px;
    }

    .modal-dialog {
        display: inline-block;
        text-align: left;
        vertical-align: middle;
    }

</style>
<?php
if(isset($_POST['submit_actionBar'])){
	$array = array(
		'post_title'    => $_POST['title'],
		'post_content' => $_POST['value'],
		'post_type'     => $_POST['position'],
		'post_status'   => 'draft',
		'menu_order' => 100,
	);

	if($post = wp_insert_post( $array )){
		add_post_meta($post,'type',$_POST['type']);
		$action = array(
			'type' => $_POST['action'],
			'value' => 'no_value'
		);
		add_post_meta($post,'action', $action);
		wp_redirect("admin.php?page=woo2app/woo2app_design/woo2app_show_design.php&tab=6");

	}
}
if(isset($_REQUEST['actionBar_right_ids'])){
	$ids = $_POST['actionBar_right_ids'];
	$i = 0;
	foreach ($ids as $id){
		$i++;
		$array = array(
			'ID'            => $id,
			'menu_order'    => $i,
		);
		wp_update_post($array);
	}
}
if(isset($_REQUEST['actionBar_left_ids'])){
	$ids = $_POST['actionBar_left_ids'];
	$i = 0;
	foreach ($ids as $id){
		$i++;
		$array = array(
			'ID'            => $id,
			'menu_order'    => $i,
		);
		wp_update_post($array);
	}
}
if(isset($_REQUEST['actionBar_center_ids'])){
	$ids = $_POST['actionBar_center_ids'];
	$i = 0;
	foreach ($ids as $id){
		$i++;
		$array = array(
			'ID'            => $id,
			'menu_order'    => $i,
		);
		wp_update_post($array);
	}
}
?>
<div class="div_mainpage">
<h3 style="background-color: #e5e5e5;padding: 7px">
	تنظیم اجزای اکشن بار
</h3>
<p style="">
	از طریق تنظیمات زیر میتوانید لوگو ٬ متن ٬ دکمه و آیکون دلخواه خود را به اکشن بار صفحه اصلی اضافه کنید.
    اگر آیتمی اضافه نشود اکشن بار به صورت پیش فرض نمایش داده میشود
</p>
<hr>

    <div class="col-md-4 pull-right text-right">
        <form action="" id="form-list-right" method="post">
            <div class="panel panel-default">
                <div class="panel-heading"> راست </div>
                <ul id="right_actionbar" class="list-group">
					<?php
					$args = array(
						'post_type'   => 'actionbar_right',
						'post_status' => 'draft',
						'posts_per_page' => -1,
						'orderby' => 'menu_order',
						'order' => 'ASC'
					);
					$the_query = get_posts( $args );
					foreach ($the_query as $f) {
						# code...
						?>
                        <li class="list-group-item" id="li_<?= $f->ID?>">
                            <input type="hidden" name="actionBar_right_ids[]" value="<?= $f->ID; ?>">
							<?= $f->post_title;?>
                            <span class="icon_minus pull-left" onclick="delete_actionBar('<?= $f->ID;?>')" data-placement="right" data-toggle="tooltip" title="Remove">
                                    <img style="width: 16px;height: 16px" src="<?= WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/minus.png" ?>">
                            </span>
                            <span class="icon_minus pull-left hide" id="loading_<?= $f->ID;?>" style="margin-left:3px;font-size:8px;color:gray" >
                                    <img style="width: 20px;height: 20px" src="<?= WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/load.gif" ?>">
                            </span>
                        </li>
						<?php
					}
					?>
                </ul>
                <div class="panel-footer">
                    <span class="icon_plus" onclick="add_item_actionBar('right')" data-placement="right" data-toggle="tooltip" title="Add">
                        <img style="width: 16px;height: 16px" src="<?= WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/add.png" ?>">
                    </span>
                    <span class="icon_sort pull-left" id="sort_right" data-placement="right" data-toggle="tooltip" title="Sort">
                        <img style="width: 16px;height: 16px" src="<?= WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/sort.png" ?>">
                    </span>
                </div>
            </div>
        </form>
    </div>
    <div class="col-md-4 pull-right">
        <form action="" id="form-list-center" method="post">
            <div class="panel panel-default">
                <div class="panel-heading text-center"> وسط </div>
                <ul id="center_actionbar" class="list-group">
					<?php
					$args = array(
						'post_type'   => 'actionbar_center',
						'post_status' => 'draft',
						'posts_per_page' => -1,
						'orderby' => 'menu_order',
						'order' => 'ASC'
					);
					$the_query = get_posts( $args );
					foreach ($the_query as $f) {
						# code...
						?>
                        <li class="list-group-item" id="li_<?= $f->ID?>">
                            <input type="hidden" name="actionBar_center_ids[]" value="<?= $f->ID; ?>">
							<?= $f->post_title;?>
                            <span class="icon_minus pull-left" onclick="delete_actionBar('<?= $f->ID;?>')" data-placement="right" data-toggle="tooltip" title="Remove">
                                <img style="width: 16px;height: 16px" src="<?= WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/minus.png" ?>">
                            </span>
                            <span class="icon_minus pull-left hide" id="loading_<?= $f->ID;?>" style="margin-left:3px;font-size:8px;color:gray" >
                                <img style="width: 20px;height: 20px" src="<?= WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/load.gif" ?>">
                            </span>
                        </li>
						<?php
					}
					?>
                </ul>
                <div class="panel-footer text-right">
                    <span class="icon_plus" onclick="add_item_actionBar('center')" data-placement="right" data-toggle="tooltip" title="Add">
                        <img style="width: 16px;height: 16px" src="<?= WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/add.png" ?>">
                    </span>
                    <span class="icon_sort pull-left" id="sort_center" data-placement="right" data-toggle="tooltip"  title="Sort">
                        <img style="width: 16px;height: 16px" src="<?= WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/sort.png" ?>">
                    </span>
                </div>
            </div>
        </form>
    </div>
    <div class="col-md-4 pull-right">
        <form action="" id="form-list-left" method="post">
            <div class="panel panel-default">
                <div class="panel-heading text-left"> چپ </div>
                <ul id="left_actionbar" class="list-group">
					<?php
					$args = array(
						'post_type'   => 'actionbar_left',
						'post_status' => 'draft',
						'posts_per_page' => -1,
						'orderby' => 'menu_order',
						'order' => 'ASC'
					);
					$the_query = get_posts( $args );
					foreach ($the_query as $f) {
						# code...
						?>
                        <li class="list-group-item" id="li_<?= $f->ID?>">
                            <input type="hidden" name="actionBar_left_ids[]" value="<?= $f->ID; ?>">
							<?= $f->post_title;?>
                            <span class="icon_minus pull-left" onclick="delete_actionBar('<?= $f->ID;?>')" data-placement="right" data-toggle="tooltip" title="Remove">
                                <img style="width: 16px;height: 16px" src="<?= WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/minus.png" ?>">
                            </span>
                            <span class="icon_minus pull-left hide" id="loading_<?= $f->ID;?>" style="margin-left:3px;font-size:8px;color:gray" >
                                <img style="width: 20px;height: 20px" src="<?= WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/load.gif" ?>">
                            </span>
                        </li>
						<?php
					}
					?>
                </ul>
                <div class="panel-footer text-right">
                    <span class="icon_plus" onclick="add_item_actionBar('left')" data-placement="right" data-toggle="tooltip" title="Add">
                        <img style="width: 16px;height: 16px" src="<?= WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/add.png" ?>">
                        </i></span>
                    <span class="icon_sort pull-left" id="sort_left" data-placement="right" data-toggle="tooltip" title="Sort">
                        <img style="width: 16px;height: 16px" src="<?= WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/sort.png" ?>">
                    </span>
                </div>
            </div>
        </form>
    </div>
</div>

<?php add_thickbox(); ?>



<div id="modal-window-id" style="display: none">
    <div id="font-awesome-list">
		<?php
		woo2app_icons();
		?>
    </div>
</div>
<!-- Modal -->
<div id="myModal" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <form action="" method="post">
                <div class="modal-header">
                    <button type="button" class="close pull-left" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title text-right"> درج آیتم جدید به اکشن بار</h4>
                </div>
                <div class="modal-body text-right">
                    <div class="form-group col-md-8 pull-right">
                        <lable>
                            موقعیت
                        </lable>
                        <select name="position" id="position"  class="form-control">
                            <option value="actionBar_right"> سمت راست </option>
                            <option value="actionBar_center"> وسط </option>
                            <option value="actionBar_left"> سمت چپ </option>
                        </select>
                    </div>
                    <div class="form-group col-md-8 pull-right">
                        <lable>
                            نام آیتم
                        </lable>
                        <input type="text" required="required" name="title" class="regular-text" />
                        <p> یک نام دلخواه وارد کنید . این نام فقط در داشبور دیده میشود.</p>
                    </div>
                    <div class="clearfix"></div>
                    <div class="form-group col-md-8 pull-right">
                        <lable>
                            نوع آیتم
                        </lable>
                        <br>
                        <span style="margin-left:10px">
                        <input type="radio" value="image" checked class="form-control" name="type" /> تصویر
                    </span>
                        <span style="margin-left:10px">
                        <input type="radio" value="button" class="form-control" name="type" /> دکمه
                    </span>
                        <span style="margin-left:10px">
                        <input type="radio" value="text" class="form-control" name="type" /> متن
                    </span>
                    </div>
                    <div class="clearfix"></div>
                    <div class="form-group col-md-12 pull-right">
                        <input type="text" id="txt_value" required="required" class="regular-text" name="value" placeholder="لطفا مقدار مناسب وارد کنید." />
                        <button id="btn_pic_value" class="button button-primary for_hide" > انتخاب تصویر</button>
                        <a id="btn_icon_value" href="#TB_inline?width=700&height=500&inlineId=modal-window-id" class="for_hide hide thickbox"> انتخاب آیکون </a>
                    </div>
                    <div class="clearfix"></div>
                    <div class="form-group col-md-8 pull-right">
                        <lable>
                            رویداد
                        </lable>
                        <select name="action"  class="form-control">
                            <option value="none"> بدون اکشن</option>
                            <option value="open_right_menu"> باز کردن منوی سمت راست   </option>
                            <option value="open_left_menu"> باز کردن منوی سمت چپ </option>
                            <option value="open_product_search"> باز کردن جست و جوی محصولات </option>
                            <option value="open_basket"> باز کردن سبد خرید </option>
                        </select>
                    </div>
                    <div class="clearfix"></div>
                </div>
                <div class="modal-footer">
                    <button type="submit" name="submit_actionBar" class="button button-primary" > ذخیره</button>
                    <button type="button" class="button button-default" data-dismiss="modal"> بستن </button>
                </div>
            </form>
        </div>
    </div>
</div>
<?php
wp_enqueue_media();
?>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script>
    jQuery(document).ready(function(){
        jQuery('#sort_right').click(function(){
            jQuery("#form-list-right").submit();
        });
        jQuery('#sort_center').click(function(){
            jQuery("#form-list-center").submit();
        });
        jQuery('#sort_left').click(function(){
            jQuery("#form-list-left").submit();
        });
    })
    var custom_uploader_hami;
    jQuery('#btn_pic_value').click(function (e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: 'انتخاب تصویر',
            library: {type: 'image'},
            button: {text: 'انتخاب'},
            multiple: false
        });
        custom_uploader_hami.on('select', function() {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#txt_value').val(attachment.url);
            //url_image = attachment.url;
            //jQuery('#div_image_item_hami').attr("src",url_image);
        });
        custom_uploader_hami.open();
    })

    function add_item_actionBar(pos){
        if(pos == 'right') jQuery('#position').val('actionBar_right');
        else if(pos == 'center') jQuery('#position').val('actionBar_center');
        else if(pos == 'left') jQuery('#position').val('actionBar_left');
        jQuery('#myModal').modal('show');
    }
    jQuery(function() {
        jQuery( "#left_actionbar" ).sortable();
        jQuery( "#left_actionbar" ).disableSelection();

        jQuery( "#center_actionbar" ).sortable();
        jQuery( "#center_actionbar" ).disableSelection();

        jQuery( "#right_actionbar" ).sortable();
        jQuery( "#right_actionbar" ).disableSelection();

        // tooltip
        jQuery('[data-toggle="tooltip"]').tooltip();
    });

    jQuery('input[type=radio][name=type]').change(function() {
        if (this.value == 'image') {
            jQuery('.for_hide').addClass('hide');
            jQuery('#btn_pic_value').removeClass('hide');
        }
        else if (this.value == 'button') {
            jQuery('.for_hide').addClass('hide');
            jQuery('#btn_icon_value').removeClass('hide');
        }
        else if (this.value == 'text') {
            jQuery('.for_hide').addClass('hide');
            jQuery('#txt_text_value').removeClass('hide');
        }
    });

    function delete_actionBar(id){
        if(confirm("آیا مطمئن به حذف آیتم هستید ؟")){
            jQuery("#loading_" + id).removeClass('hide')
            jQuery.ajax({
                url: ajaxurl,
                data: {
                    action: "delete_actionbar",
                    post_id: id
                },
                success:function(data) {
                    data = data.substring(0,data.length -1);
                    if(data == 1){
                        jQuery("#li_" + id).fadeOut();
                    }
                    //console.log(data);
                }
            });
        }
    }
    let str;
    jQuery("#font-awesome-list div i").click(function () {
        str = jQuery(this).attr('data-content');
        jQuery("#txt_value").val(str);
        jQuery(".tb-close-icon").click();

    });
    jQuery("#font-awesome-list div span").click(function () {
        jQuery("#txt_value").val(jQuery(this).attr('data-content'));
        jQuery(".tb-close-icon").click();
    })
</script>