<style>

    .sortable.grid {
        /*overflow: hidden;*/
        direction: rtl;
    }
    .connected li, .sortable li, .exclude li, .handles li {
        list-style: none;
        border: 1px solid #CCC;
        /*background: #F6F6F6;*/
        font-family: "Tahoma";
        color: #1C94C4;
        margin: 5px;
        /*padding: 5px;*/
        height: 22px;
    }
    .handles span {
        cursor: move;
    }
    .sortable.grid li {
        line-height: 80px;
        text-align: center;
        float: right;
    }
    li.sortable-placeholder {
        border: 1px dashed #CCC;
        background: none;
    }
</style>

<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<?php
wp_enqueue_script( 'jscolor_woo.js' , WOO2APP_JS_URL.'jscolor_woo.js', array('jquery'));

$intro = get_option('mr2app_intro');
if(!is_array($intro)){
	$intro = array(
		'next_before' => false,
		'end_btn' => array(
			'text' => '',
			'txt_color' => '000000',
			'bg_color' => 'FFFFFF',
		),
		'display' => false,
		'images' => array()
	);
}
if(isset($_POST['end_btn'])){
	$next_before = isset($_POST['next_before']) ? true : false;
	$end_btn = $_POST['end_btn'];
	$display = isset($_POST['display']) ? true : false;
	$intro['next_before'] = $next_before;
	$intro['end_btn'] = $end_btn;
	$intro['display'] = $display;
	if(!empty($_POST['src_val'])){
		$images = $_POST['src_val'];
		$intro['images'][] = $images;
	}
	$r = update_option('mr2app_intro', $intro);
	if($r){
		echo "<p style='color:green'>". "تغییرات با موفقیت انجام شد." .'</p>';
	}
}
if(isset($_POST['sort'])){
	$array = array();
	foreach ($_POST['sort_src'] as $s){
		$array[] = $s;
	}
	$intro['images'] = $array;
	$r = update_option('mr2app_intro', $intro);
	if($r){
		echo "<p style='color:green'>". "تغییرات با موفقیت انجام شد." .'</p>';
	}
}

?>
<div style="float:right;width: 100%;" >
    <h3 style="background-color: #e5e5e5;padding: 7px">
            تنظیمات Intro اپلیکیشن
    </h3>
    <p>
        صفحات intro در اولین اجرای اپلیکیشن به کاربر نمایش داده میشود ٬ کاربر پس از نمایش تمام صفحات از طریق یک دکمه که در زیر میتوانید آن را تنظیم کنید به داخل اپلیکیشن هدایت میشود
        از intro برای راهنمایی و معرفی اپلیکیشن میتوان استفاده کرد
    </p>

    <form action="" id="update_form" method="post">
        <table class="form-table" style="float: right;direction: rtl">
            <tbody>
            <tr>
                <th>
                    فعال
                </th>
                <td>
                    <input type="checkbox" name="display" <?= checked($intro['display']) ?> />
                </td>
            </tr>
            <tr>
                <th>
                    نمایش دکمه قبل و بعد
                </th>
                <td>
                    <input type="checkbox" name="next_before" <?= checked($intro['next_before']) ?> />
                </td>
            </tr>
            <tr>
                <th style="vertical-align: middle">
                    دکمه اتمام
                </th>
                <td>
                    <input type="text" name="end_btn[text]" value="<?= $intro['end_btn']['text']?>"/>
                    <span> متن دکمه </span>
                    <br>
                    <input type="text" name="end_btn[txt_color]" class="jscolor" value="<?= $intro['end_btn']['txt_color']?>"/>
                    <span> رنگ متن  </span>
                    <br>
                    <input type="text" name="end_btn[bg_color]" class="jscolor" value="<?= $intro['end_btn']['bg_color']?>"/>
                    <span> رنگ زمینه  </span>
                    <input type="hidden" id="txt_url_item_hami" value="" name="src_val">
                </td>
            </tr>
            <tr>
                <td class="forminp">
                    <input type="submit"  value="ذخیره"  class="button button-primary" name="submit_banner">
                </td>
            </tbody>
        </table>
    </form>

</div>
<div style="clear:both"></div>
<hr>
<div style="width: 100%;float: right">
    <div style="width:200px;">
        <small>
            رزولوشن پیشنهادی : 750x1334
            <hr>
            حداکثر حجم پیشنهادی تصویر : 150KB
            <hr>
            فرمت تصاویر : PNG - JPG - JPEG - GIF
        </small>
    </div>
    <form method="post" id="sort_form">
        <div>
            <ul class="ui-sortable grid sortable">
				<?php
				$i = 0;
				foreach ($intro['images'] as $img) {
					$i++;
					?>
                    <li style="position:relative;margin-right:10px;width: 200px;height: 356px" id="li_<?= $i?>">
                        <img id="img_<?= $i?>" style="color:red;cursor: move;width: 200px;height: 356px;" src="<?= $img?>" />
                        <img style="display: none;position:absolute;left: 30%;top: 50%;width:25px;height:25px"  src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) )."/../files/img/load.gif" ?>" />
                        <input type="hidden"  value="<?= $img?>" name="sort_src[]">
                        <a class="button" style="color: red;position: absolute;bottom: -10px;right: 37%" onclick="delete_image('<?= $i?>')"> حذف </a>
                    </li>
					<?php
				}
				?>
                <li style="margin-right:10px;width: 200px;height: 356px;position: relative;border: none">
					<?php
					if($i == 0){
						?>
                        <button id="div_image_item_hami" type="button" style="float: right;" class="button"> برای آپلود عکس جدید کلیلک کنید</button>
                        <img style="width:25px;height:25px;display: none" id="img_load1"  src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
						<?php
					}
					else{
						?>
                        <button id="div_image_item_hami" type="button" style="position: absolute;  left: 50%;  top: 50%;" class="button">صفحه جدید </button>
                        <img style="position: absolute;  left: 0%;  top: 50%;width:25px;height:25px;display: none" id="img_load1"  src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
						<?php
					}
					?>
                </li>
            </ul>

        </div>
		<?php
		if(!empty($intro['images'])){
			?>
            <div style="clear:both"></div>
            <p>
                <input type="submit" name="sort" id="sort_btn" class="button button-default"  value="مرتب سازی">
                برای مرتب سازی روی تصاویر ، drag & drop کنید .
            </p>
			<?php
		}
		?>
    </form>
</div>

<?php
wp_enqueue_media();
?>
<script>
    jQuery(function() {
        //jQuery( "#sortable" ).sortable();
        jQuery( ".sortable" ).sortable();
        jQuery( "#sortable" ).disableSelection();
    });
    var custom_uploader_hami;
    jQuery('#div_image_item_hami').click(function (e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: 'انتخاب تصویر',
            library: {type: 'image'},
            button: {text: 'انتخاب'},
            multiple: false
        });
        custom_uploader_hami.on('select', function() {
            jQuery("#img_load1").attr('style' , 'position: absolute;  left: 30%;  top: 50%;width:25px;height:25px;display: block')
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#txt_url_item_hami').val(attachment.url);
            url_image = attachment.url;
            //jQuery('#div_image_item_hami').attr("src",url_image);

            jQuery("#update_form").submit();
        });
        custom_uploader_hami.open();
    })
    function delete_image(id){
        if(confirm("آیا مطمئن به حذف هستید ؟")){
            jQuery("#li_" + id + ' #img_'+id).remove();
            jQuery("#li_" + id + ' input').remove();
            jQuery("#li_" + id + ' img').attr('style' , 'display: block;position:absolute;left: 40%;top: 50%;width:25px;height:25px');
            jQuery("#sort_btn").click();
        }
    }
</script>