<?php
wp_register_style('select2.min.css', WOO2APP_CSS_URL . 'select2.min.css');
wp_enqueue_style('select2.min.css');
wp_enqueue_script('select2.min.js', WOO2APP_JS_URL . 'select2.min.js');

global $wpdb;
$table_name = $wpdb->prefix . "woo2app_mainpage";
if($_POST){
	if(isset($_POST['ins_list'])){
		$title = $_REQUEST["title"];
		$value = $_POST['list_product'];
		$custom_product_list = get_option('mr2app_custom_product_list');
		if(!is_array($custom_product_list)){
			$custom_product_list = array();
		}
		$custom_product_list[] = array(
			'id' => uniqid(),
			'title' => $title,
			'list_product' => $value,
		);
		$r = update_option('mr2app_custom_product_list', $custom_product_list);
		if($r){
			echo "<p style='color:green'>". "لیست محصولات دلخواه ذخیره شد .از قسمت مرتب سازی مرتب کنید." .'</p>';
		}
	}
	if(isset($_POST['del_q'])){
		$id = $_POST['id_q'];
		$custom_product_list = get_option("mr2app_custom_product_list");
		$f = "";
		$i = 0;
		foreach ($custom_product_list as $key) {
			if ($id == $key["id"]) {
				$f = $i;
			}
			$i++;
		}
		array_splice($custom_product_list, $f, 1);
		update_option("mr2app_custom_product_list",$custom_product_list);
		//exit();
		if($r){
			echo "<p style='color:green'>". "آیتم مورد نظر حذف شد." .'</p>';
		}
	}
}
$results = get_option('mr2app_custom_product_list');
?>
<div class="div_mainpage1" >
    <form action="" method="post">
        <table class="form-table" style="text-align:right;direction: rtl">
            <tbody>
            <tr valign="top" class="">
                <th scope="row" class="titledesc">
                    <label > عنوان  </label>
                </th>
                <td class="forminp">
                    <input type="text"  name="title" id="title" class="regular-text" placeholder="عنوان">
                </td>
            </tr>
            <tr valign="top"  >
                <th scope="row" class="titledesc">
                    <label > محصول </label>
                </th>
                <td class="forminp">
                    <select name="list_product[]" data-id="product"  multiple  data-placeholder="انتخاب محصول"   class="regular-text js-data-example-ajax">

                    </select>
                    <img style="display:none;" height="25" width="25" id="img_load" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                </td>
            </tr>
            <tr>
                <th scope="row" class="titledesc">
                </th>
                <td class="forminp">
                    <input type="submit" name="ins_list" class="button button-primary" value="اضافه"  name="submit_banner">
                </td>
            </tr>
            </tbody>
        </table>
    </form>
    <hr>
    <h3 class="panel-title"><strong> لیست محصولات دلخواه </strong></h3>
    <table class="wp-list-table widefat  striped " style="text-align:right;direction: rtl">
        <thead>
        <tr>
            <th class="text-center"> عنوان </th>
            <th class="text-center"> محصولات </th>
            <th class="text-center"> -------- </th>
        </tr>
        </thead>
        <tbody class="text-center">
		<?php
		$i = 0;
		if(is_array($results))
			foreach ($results as $key) {
				$i ++ ;
				?>
                <tr valign="top" >
                    <td style="vertical-align: middle;"><?= $key['title'];?></td>
                    <td style="vertical-align: middle;">
						<?php
						$i=1;
						$option_value = $key['list_product'];
						foreach ($option_value as $key1) {
							echo $i++.' - '.get_the_title( $key1 ).' , ';
						}
						?>
                    </td>
                    <td style="vertical-align: middle;">
                        <form method="post" style="margin-right: 5px;">
                            <input type="hidden" name="id_q" value="<?= $key['id'];?>">
                            <input type="submit" onclick="return confirm('مطمئن به حذف لیست هستید ؟')" name="del_q" class="btn btn-danger btn-xs" value="حذف">
                        </form>
                    </td>
                </tr>
				<?php
			}
		?>
        </tbody>
    </table>
</div>
<?php
wp_enqueue_script( 'loadajax.js' , WOO2APP_JS_URL.'loadAjaxPosts.js', array('jquery'));
?>