<?php
/*
Plugin Name: اپلیکیشن فروشگاهی وردپرس اپ پاش
Plugin URI: https://apppash.com/woo2app-plugin-change-log/
Description: از طریق این افزونه میتوانید اپلیکیشن فروشگاهی خود را مدیریت کنید ٬ تمام تنظیمات در منوی woo2app هستند و به صورت لایو بر روی اپلیکیشن اعمال میشوند ٬ در صورت نیاز به راهنمایی از طریق  apppash.com به پشتیبانی تیکت ارسال کنید
Version: 2.4.1
Author: APPPASH.com
Author URI: https://apppash.com/wo/
Text Domain: Apppash
*/

if (!defined( 'ABSPATH' )) exit;
define('WOO2APP_VERSION' , "2.4.1");
define('WOO2APP_PATH' , plugin_dir_path( __FILE__ ));
define('WOO2APP_URL', plugin_dir_url(__FILE__));
define('WOO2APP_CSS_URL', trailingslashit(WOO2APP_URL.'files/css'));
define('WOO2APP_JS_URL', trailingslashit(WOO2APP_URL.'files/js'));
//error_reporting(E_ALL);
ini_set('display_errors', 0);

class WOO2APP{
	public function __construct() {
		add_action( 'rest_api_init', array( $this, 'rest_api_init' ) );
		register_activation_hook( __FILE__ ,  array($this , 'config_woo2app'));
		add_action('init',array( $this , 'set_api_hami' ));
		add_action('admin_menu',array( $this , 'config_woo2app_menu' ));
		add_action('init',array( $this , 'config_woo2app_ajax' ));
		add_action('init' , array($this , 'woo2app_metabox'));
	}
	public function config_woo2app(){
		require_once WOO2APP_PATH . 'woo2app_config/config_table_woo2app.php';
		$woo = new config_table_woo2app();
		require_once WOO2APP_PATH . 'woo2app_config/config_table_data.php';
		$woo = new woo2app_config_data();
	}
	public function set_api_hami(){
		require_once WOO2APP_PATH . 'service/woocommerce-services-comment.php';
		$woo = new woocommerce_services_comment();
		require_once WOO2APP_PATH . 'service/api_users_hami.php';
		$user = new api_webservices_hami_user();
		require_once WOO2APP_PATH . 'service/woocommerce-services-new.php';
		$woo = new woocommerce_services_new();
		require_once WOO2APP_PATH . 'service/woo2app_core_api_setting.php';
		$woo = new woo2app_core_api_setting();
		require_once WOO2APP_PATH . 'service/woo2app_core_api_orders.php';
		$order = new woo2app_core_api_orders();
		require_once WOO2APP_PATH . 'service/woo2app_core_api_customers.php';
		$woo = new woo2app_core_api_customers();
		require_once WOO2APP_PATH . 'service/woo2app_core_api_coupon.php';
		$woo = new woo2app_core_api_coupon();
		require_once WOO2APP_PATH . 'service/woo2app_core_api_pay_methods.php';
		$woo = new woo2app_core_api_pay_methods();
		require_once WOO2APP_PATH . 'service/woo2app_core_api_shipping_methods.php';
		$woo = new woo2app_core_api_shipping_methods();
		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		if (!is_plugin_active( 'wp2appir/wp2appir.php')) {
			//wp2app plugin is not activated
			require_once WOO2APP_PATH . 'service/woo2app_api_default_blog.php';
			$woo = new woo2app_api_default_blog();
			require_once WOO2APP_PATH . 'service/woo2app_api_primary_blog.php';
			$woo = new woo2app_api_primary_blog();
		}
		require_once WOO2APP_PATH . 'woo2app_config/mr2app_feed.php';
		$woo = new mr2app_feed();
		require_once WOO2APP_PATH . 'service/woo2app_google_sign_in.php';
		$woo = new woo2app_google_sign_in();

	}
	public function config_woo2app_menu(){
		include_once( 'woo2app_config/config_woo2app_menu.php') ;
		$woo2app_config_menu = new woo2app_config_menu();
	}
	public function config_woo2app_ajax(){
		require_once WOO2APP_PATH . 'woo2app_design/config_woo2app_ajax.php';
	}
	public function woo2app_metabox(){
		include_once( 'woo2app_config/config_metabox_woo2app.php') ;
		$woo2app_metabox_notif = new woo2app_metabox_notif();
	}
	public function rest_api_init() {
		include_once( WOO2APP_PATH . 'api/class-woo2app-rest-controller.php' );
	}
}
new WOO2APP();

register_activation_hook( __FILE__ ,  'activation_woo2app_custom_register');
function activation_woo2app_custom_register(){
	$default_fields = array();
	$default_fields [] = array( 'name' => 'user_login' , 'title' => 'نام کاربری','order' => 1);
	$default_fields [] = array( 'name' => 'user_email' , 'title' => 'ایمیل','order' => 3);
	$default_fields [] = array( 'name' => 'user_pass' , 'title' => 'رمز عبور','order' => 4);
	$default_fields [] = array( 'name' => 'user_url' , 'title' => 'آدرس سایت','order' => 5);
	$default_fields [] = array( 'name' => 'display_name' , 'title' => 'نام نمایشی','order' => 6);
	$default_fields [] = array( 'name' => 'first_name' , 'title' => 'نام','order' => 7);
	$default_fields [] = array( 'name' => 'last_name' , 'title' => 'نام خانوادگی','order' => 8);
	$default_fields [] = array( 'name' => 'description' , 'title' => 'توضیحات','order' => 9);
	$default_fields [] = array( 'name' => 'billing_company' , 'title' => 'شرکت','order' => 11);
	$default_fields [] = array( 'name' => 'billing_address_1' , 'title' => 'آدرس ','order' => 12);
	$default_fields [] = array( 'name' => 'billing_address_2' , 'title' => 'آدرس 2','order' => 13);
	$default_fields [] = array( 'name' => 'billing_city' , 'title' => 'شهر','order' => 14);
	$default_fields [] = array( 'name' => 'billing_state' , 'title' => 'استان','order' => 15);
	$default_fields [] = array( 'name' => 'billing_postcode' , 'title' => 'کدپستی','order' => 16);
	$default_fields [] = array( 'name' => 'billing_country' , 'title' => 'کشور','order' => 17);
	$default_fields [] = array( 'name' => 'billing_email' , 'title' => 'ایمیل','order' => 18);
	$default_fields [] = array( 'name' => 'billing_phone' , 'title' => 'تلفن','order' => 19);
	$default_fields [] = array( 'name' => 'my_invitor' , 'title' => 'معرف من','order' => 20);
	$default_fields [] = array( 'name' => 'my_invitecode' , 'title' => 'کد معرف من','order' => 21);
	$default_fields [] = array( 'name' => 'my_score' , 'title' => 'امتیاز من','order' => 22);
	$array_name_new = array('user_login','user_email','user_pass','user_url','display_name','first_name','last_name','description',
		'billing_company','billing_address_1','billing_address_2','billing_city','billing_state','billing_postcode','billing_country','billing_email' ,'billing_phone'
	,'my_invitor','my_invitecode', 'my_score');
	$args      = array(
		'post_type'   => 'woo2app_register',
		'post_status' => 'draft',
		'posts_per_page' => -1,
		'orderby' => 'menu_order',
		'order' => 'ASC',
	);
	$disable = array(
		'user_url' , 'display_name' , 'description' , 'billing_company' ,'billing_address_2',
		'billing_country' , 'billing_email' , 'my_invitecode' , 'my_invitor' , 'my_score'
	);
	$the_query = get_posts( $args );
	$array_name_old = array();
	foreach ($the_query as $p){
		$array_name_old[] = $p->post_content;
	}
	$result = array_diff($array_name_new,$array_name_old);
	foreach ($default_fields as $f){
		if(in_array($f['name'] , $result)) {
			$array = array(
				'post_title'    => $f['title'],
				'post_content' => $f['name'],
				'post_type'     => 'woo2app_register',
				'post_status'   => 'draft',
				'menu_order' => $f['order'],
			);
			$post = wp_insert_post( $array );
			if(!in_array($f['name'] ,$disable)){
				add_post_meta($post,'default','');
				add_post_meta($post,'required',1);
				add_post_meta($post,'active',1);
				add_post_meta($post,'display_edit',1);
				add_post_meta($post,'display_register',1);
				add_post_meta($post,'values','');
				add_post_meta($post,'type','text');
				add_post_meta($post,'validate','general');
			}
		}
	}
	$array = array(
		'enable' => 0,
		'field' => '',
		'panel' => '',
		'number' => '',
		'username'=> '',
		'password' => ''
	);
	if(!get_option('mr2app_sms')){
		add_option('mr2app_sms',$array);
	}
}

function woo2app_tm_additional_profile_fields( $user ) {
	$default_fields  = array( 'user_login'  , 'user_email' , 'user_pass','user_url' ,  'display_name' ,
		'first_name' , 'last_name' , 'description'  ,'billing_company','billing_address_1',
		'billing_address_2','billing_city','billing_state','billing_postcode','billing_country','billing_email','billing_phone');
	$args      = array(
		'post_type'   => 'woo2app_register',
		'post_status' => 'draft',
		'posts_per_page' => -1,
		'orderby' => 'menu_order',
		'order' => 'ASC'
	);
	$the_query = get_posts( $args );
	?>
    <table class="form-table">
        <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyB1grFb5dYPNOQ5FaDHMkZLmVz3s3OerbI"></script>
		<?php
		foreach ($the_query as $f){
			if(in_array($f->post_content,$default_fields)){
				continue;
			}
			$x = get_user_meta($user->ID,$f->post_content , true);
			if(get_post_meta($f->ID , 'type',true) == 'map'){
				$x = explode(',',$x);
				if($x[0]){ $lat = $x[0];} else{ $lat = '32.2972692';}
				if($x[1]){ $lng = $x[1];} else{ $lng = '54.582283';}
				?>
                <tr>
                    <th><label >  <?= $f->post_title;?></label></th>
                    <td>
                        <div id="map-canvas_<?= $f->ID;?>" style="width: 300px;height: 150px"></div><!-- #map-canvas -->
                        <script type="text/javascript">
                            google.maps.event.addDomListener( window, 'load', gmaps_results_initialize );
                            var map;
                            var markers = [];
                            function gmaps_results_initialize() {
                                map = new google.maps.Map( document.getElementById( 'map-canvas_' + <?= $f->ID;?> ), {
                                    zoom:           13,
                                    center:         new google.maps.LatLng( <?= $lat ;?>, <?= $lng ;?> ),
                                });
                                var  marker = new google.maps.Marker({
                                    position: new google.maps.LatLng( <?= $lat ;?>, <?= $lng ;?> ),
                                    map:      map,
                                    animation: google.maps.Animation.BOUNCE
                                });
                            }
                        </script>
                    </td>
                </tr>
				<?php
			}
			else{
				?>
                <tr>
                    <th><label>  <?= $f->post_title;?></label></th>
                    <td>
                        <input type="text" id="<?= $f->post_content; ?>" name="<?= $f->post_content; ?>" class="regular-text" value="<?= $x; ?>">
                    </td>
                </tr>
				<?php
			}
		}
		?>
    </table>
	<?php
}
add_action( 'edit_user_profile', 'woo2app_tm_additional_profile_fields' );

// Hook is used to save custom fields that have been added to the WordPress profile page (if not current user)

add_action( 'edit_user_profile_update', 'woo2app_update_extra_profile_fields' );
function woo2app_update_extra_profile_fields( $user_id ) {
	if ( current_user_can( 'edit_user', $user_id ) ){
		$default_fields  = array( 'user_login'  , 'user_email' , 'user_pass','user_url' ,  'display_name' ,
			'first_name' , 'last_name' , 'description'  ,'billing_company','billing_address_1',
			'billing_address_2','billing_city','billing_state','billing_postcode','billing_country','billing_email','billing_phone');
		$args      = array(
			'post_type'   => 'woo2app_register',
			'post_status' => 'draft',
			'posts_per_page' => -1,
			'orderby' => 'menu_order',
			'order' => 'ASC'
		);
		$the_query = get_posts( $args );
		foreach ($the_query as $f){
			update_user_meta( $user_id, $f->post_content, $_POST["$f->post_content"] );
		}
	}
}

require_once  "register/class_custom_register.php";
$class_custom_register_woo2app = new class_custom_register();

require_once  "woo2app_vendor/class_vendors.php";
$woo2app_vendors = new class_vendors();

require_once  "order_form/class_custom_order.php";
$class_custom_order = new class_custom_order();

require_once  "category_time/category_time.php";

require_once  "category/service_category.php";
$class_custom_order = new mr2app_custom_category();

require_once "filter/class_filter.php";
$mr2app_filter = new mr2app_filter();

require_once "inviter/class_inviter.php";
$inviter_woo2app = new class_inviter();

register_activation_hook( __FILE__ ,  'activation_mr2app_custom_order');
function activation_mr2app_custom_order(){
	$default_fields = array();
	$default_fields [] = array( 'name' => 'first_name' , 'title' => 'نام','order' => 1);
	$default_fields [] = array( 'name' => 'last_name' , 'title' => 'نام خانوادگی','order' => 2);
	$default_fields [] = array( 'name' => 'address_1' , 'title' => 'آدرس 1','order' => 3);
	$default_fields [] = array( 'name' => 'address_2' , 'title' => 'آدرس 2','order' => 4);
	$default_fields [] = array( 'name' => 'city' , 'title' => 'شهر','order' => 5);
	$default_fields [] = array( 'name' => 'state' , 'title' => 'استان','order' => 6);
	$default_fields [] = array( 'name' => 'postcode' , 'title' => 'کدپستی','order' => 7);
	$default_fields [] = array( 'name' => 'country' , 'title' => 'کشور','order' => 8);
	$default_fields [] = array( 'name' => 'email' , 'title' => 'ایمیل','order' => 9);
	$default_fields [] = array( 'name' => 'phone' , 'title' => 'تلفن','order' => 10);
	$default_fields [] = array( 'name' => 'customer_note' , 'title' => 'توضیحات مشتری','order' => 11);
	$array_name_new = array('first_name','last_name','address_1','address_2','city','state','postcode','country',
		'email','phone','customer_note');
	$args      = array(
		'post_type'   => 'woo2app_order',
		'post_status' => 'draft',
		'posts_per_page' => -1,
		'orderby' => 'menu_order',
		'order' => 'ASC',
	);
	$the_query = get_posts( $args );
	$array_name_old = array();
	foreach ($the_query as $p){
		$array_name_old[] = $p->post_content;
	}
	$result = array_diff($array_name_new,$array_name_old);
	foreach ($default_fields as $f){
		if(in_array($f['name'] , $result)) {
			$array = array(
				'post_title'    => $f['title'],
				'post_content' => $f['name'],
				'post_type'     => 'woo2app_order',
				'post_status'   => 'draft',
				'menu_order' => $f['order'],
			);
			$post = wp_insert_post( $array );
			add_post_meta($post,'default','');
			add_post_meta($post,'required',1);
			add_post_meta($post,'active',1);
			add_post_meta($post,'display',1);
			add_post_meta($post,'values','');
			add_post_meta($post,'relation','');
			add_post_meta($post,'type','text');
			add_post_meta($post,'validate','general');
		}
	}

}

function woo2app_add_admin_css_js_everywhere( $hook ) {

	if ( 'plugins.php' === $hook ) {
		wp_enqueue_style( 'woo2app-modal', WOO2APP_URL . '/files/feedback/css/woo2app-modal.css', null, WOO2APP_VERSION );
		wp_enqueue_script( 'woo2app-modal', WOO2APP_URL . '/files/feedback/js/woo2app-modal.js', null, WOO2APP_VERSION, true );
		wp_localize_script( 'woo2app-modal', 'woo2app_ajax_data', array( 'nonce' => wp_create_nonce( 'woo2app-ajax' ) ) );
		echo generate();
	}
}
add_action( 'admin_enqueue_scripts', 'woo2app_add_admin_css_js_everywhere', 11 );


function generate() {

	$data = [
		'deactivation_url' =>  wp_nonce_url('plugins.php?action=deactivate&amp;plugin=' . rawurlencode( 'woo2app/woo2app.php' ),'deactivate-plugin_woo2app/woo2app.php'),
	];
	include "deactivate-form.php";
	return trim( ob_get_clean() );
}

function woo2app_direct_filesystem() {
	require_once ABSPATH . 'wp-admin/includes/class-wp-filesystem-base.php';
	require_once ABSPATH . 'wp-admin/includes/class-wp-filesystem-direct.php';
	return new WP_Filesystem_Direct( new StdClass() );
}


add_action( 'admin_init', 'register_woo2app_plugin_settings' );
function register_woo2app_plugin_settings() {
	//register our settings
	register_setting( 'woo2app_orderDetail-group', 'woo2app_orderDetail' );
	register_setting( 'woo2app_authentication-group', 'woo2app_authentication' );
	register_setting( 'woo2app_login-group', 'woo2app_loginPage' );
}



// define the woocommerce_order_status_changed callback
function action_woocommerce_order_status_changed( $order_id, $old_status, $new_status, $instance ) {
	//$arr = array($order_id, $old_status, $new_status, $instance);
	if($new_status == 'completed'){
		$inviter = get_option('woo2app_inviter_setting');
		if(is_array($inviter) && isset($inviter['score_for_inviter_first_order']) && $inviter['score_for_inviter_first_order'] == true) {
			$order = new WC_Order($order_id);
			if((int)get_user_meta( $order->get_user_id() ,'score_for_inviter' , true ) == 0 ){
				//$order->get_user_id();
				$code_inviter = get_user_meta($order->get_user_id() , 'my_invitor',true);
				if($code_inviter != "" || $code_inviter != null){
					set_score_inviter($code_inviter , $order->get_user_id());
				}
				update_user_meta($order->get_user_id() , 'score_for_inviter' , 1);
				//update_option('test_order_status'  , $order->get_user_id());
			}
		}
	}
};

function set_score_inviter($inviter , $ID){
	$user = check_code($inviter);
	$setting_inviter  = get_option('woo2app_inviter_setting');
	$counter = $setting_inviter['score_for_inviter_first_order_value'];
	$type = $setting_inviter['score_type'];
	if($type == 1){
		$score = get_user_meta($user->ID,'my_score', true);
		$score = (int)$score + (int)$counter;
		update_user_meta($user->ID , 'my_score', $score);
	}
	else if($type == 2){
		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		if ( is_plugin_active( 'woo-wallet/woo-wallet.php' ) ) {
			//plugin is activated
			$user1 = get_user_by('id',$ID);
			woo_wallet()->wallet->credit($user->ID, (int)$counter, 'شارژ هدیه بابت  اولین سفارش : ' . $user1->user_login);
		}
	}
}
function check_code($meta_value){
	$user_query = new WP_User_Query(
		array(
			'meta_key'	  =>	'my_invitecode',
			'meta_value'	=>	$meta_value
		)
	);
	// Get the results from the query, returning the first user
	$users = $user_query->get_results();
	return $users[0];
}

// add the action
add_action( 'woocommerce_order_status_changed', 'action_woocommerce_order_status_changed', 10, 4 );


add_filter ( 'woocommerce_account_menu_items', 'woo2app_one_more_link' );
function woo2app_one_more_link( $menu_links ){
	$user = wp_get_current_user();
	if ( in_array( 'seller', (array) $user->roles ) ) {
		//The user has the "author" role
		$new = array( 'woo2app-edit-info' => 'اطلاعات فروشگاه' );
		// array_slice() is good when you want to add an element between the other ones
		$menu_links = array_slice( $menu_links, 0, 5, true )
		              + $new
		              + array_slice( $menu_links, 5, NULL, true );
	}
	return $menu_links;
}

add_action( 'init', 'woo2app_add_endpoint' );
function woo2app_add_endpoint() {
	add_rewrite_endpoint( 'woo2app-edit-info', EP_PAGES );
}


add_action( 'woocommerce_account_woo2app-edit-info_endpoint', 'woo2app_my_account_endpoint_content' );
function woo2app_my_account_endpoint_content() {

	if(isset($_POST['sub_delete'])){
		$sore_info = get_user_meta(get_current_user_id() , 'woo2app_store_info' , true);
		$s_x = array();
		foreach ($sore_info['slider'] as $slider){
			if($slider['sl_id'] == $_POST['slider_id']) {
				continue;
			}
			$s_x[] = $slider;
		}
		$sore_info['slider'] = $s_x;
		update_user_meta(get_current_user_id() , 'woo2app_store_info' , $sore_info);
	}
	if(isset($_POST['sbm_save'])){

		$sore_info = get_user_meta(get_current_user_id() , 'woo2app_store_info' , true);
		if(!is_array($sore_info)){
			$sore_info = array();
			$sore_info['woo2app_send_state'] = '' ;
			$sore_info['woo2app_description_state'] = '' ;
			$sore_info['lat'] ='' ;
			$sore_info['lng'] = '' ;
			$sore_info['slider'] = array() ;
			update_user_meta(get_current_user_id() , 'woo2app_store_info' , $sore_info);
		}
		$sore_info['woo2app_send_state'] = $_POST['woo2app_send_state'] ;
		$sore_info['woo2app_description_state'] = $_POST['woo2app_description_state'] ;
		$sore_info['lat'] = $_POST['lat'];
		$sore_info['lng'] = $_POST['lng'] ;
		if($_POST['select_action_banner'] != 0 && isset($_FILES['woo2app_slider_src'])){
			if ( ! function_exists( 'wp_handle_upload' ) ) {
				require_once( ABSPATH . 'wp-admin/includes/file.php' );
			}

			$uploadedfile = $_FILES['woo2app_slider_src'];

			$upload_overrides = array( 'test_form' => false );

			$movefile = wp_handle_upload( $uploadedfile, $upload_overrides );

			if ( $movefile && ! isset( $movefile['error'] ) ) {
				$pic = $movefile['url'];
				$value = "";
				$title = $_POST['woo2app_slider_title'];
				if($_POST['select_action_banner'] == 2){
					$value = $_POST['woo2app_slider_cat'];
				}
                elseif($_POST['select_action_banner'] == 3){
					$value = $_POST['woo2app_slider_link'];
				}
                elseif($_POST['select_action_banner'] == 5){
					$value = $_POST['woo2app_slider_video'];
				}
				$sore_info['slider'][] = array(
					'sl_id'=> uniqid(),
					'title'=> $title,
					'action' => $_POST['select_action_banner'],
					'value' => $value,
					'pic' => $pic
				);
			} else {
				echo $movefile['error'];
			}

		}
		update_user_meta(get_current_user_id() , 'woo2app_store_info' , $sore_info);

	}

	$sore_info = get_user_meta(get_current_user_id() , 'woo2app_store_info' , true);
	if(!is_array($sore_info)){
		$sore_info = array();
		$sore_info['woo2app_send_state'] = '' ;
		$sore_info['woo2app_description_state'] = '' ;
		$sore_info['lat'] ='' ;
		$sore_info['lng'] = '' ;
		$sore_info['woo2app_description_state'] = '' ;
		$sore_info['slider'] = array() ;
		update_user_meta(get_current_user_id() , 'woo2app_store_info' , $sore_info);

	}
	$lat = $sore_info['lat'];
	$lng = $sore_info['lng'];
	if($sore_info['lat'] == '') $lat = 35.70163;
	if($sore_info['lng'] == '') $lng = 51.39211;
	$args = array(
		'hide_empty' => 0 ,
		'taxonomy' => 'product_cat'
	);
	$cats = get_categories($args);
	?>
    <script src="https://addmap.parsijoo.ir/leaflet/leaflet.js"></script>
    <link rel="stylesheet" href="https://addmap.parsijoo.ir/leaflet/leaflet.css" />
    <form action="" method="post" enctype="multipart/form-data">
        <p class="form-row form-row-wide" >
            <label for="woo2app_send_state" class="">
                مناطق ارسالی
            </label>
            <span class="woocommerce-input-wrapper">
                <input type="text" class="input-text " name="woo2app_send_state" id="woo2app_send_state" placeholder="" value="<?= $sore_info['woo2app_send_state'];?>" autocomplete="organization">
            </span>
        </p>
        <p class="form-row form-row-wide" >
            <label for="woo2app_description_state" class="">
                توضیحات فروشگاه
            </label>
            <span class="woocommerce-input-wrapper">
                <textarea type="text" class="input-text" name="woo2app_description_state" id="woo2app_description_state" placeholder=""  autocomplete="organization"><?= $sore_info['woo2app_description_state'];?></textarea>
            </span>
        </p>
        <p class="form-row form-row-wide" >
        <div id="map" style="width:100%;height:300px;margin-bottom: 10px"></div>
        <input type="hidden" class="regular-text" value="<?= $lat?>" name="lat" id="lat" />
        <input type="hidden" class="regular-text" value="<?= $lng?>" name="lng" id="lng" />
        </p>
        <hr>
        <h2 >
            <strong>     اسلایدر فروشگاه </strong>
        </h2>
        <p class="form-row form-row-wide" >
            <label for="woo2app_description_state" class="">
                عنوان
            </label>
            <span class="woocommerce-input-wrapper">
                <input type="text" class="input-text " name="woo2app_slider_title" id="woo2app_send_state" placeholder="عنوان"  autocomplete="organization">
            </span>
        </p>
        <p class="form-row form-row-wide" >
            <label for="woo2app_description_state" class="">
                اکشن
            </label>
            <span class="woocommerce-input-wrapper">
                <select class="form-control" id="select_action_banner" name="select_action_banner" required="required">
                        <option value="0"> لطفا یکی از موارد زیر را انتخاب کنید</option>
                        <option value="2">دسته بندی</option>
                        <option value="3">لینک</option>
                        <option value="5"> ویدیو </option>
                        <option value="4"> بدون اکشن </option>
                </select>
            </span>
        </p>
        <p class="form-row form-row-wide el_type"  id="el_cats" style="display: none">
            <label for="woo2app_description_state" class="">
                دسته بندی
            </label>
            <span class="woocommerce-input-wrapper">
               <select class="form-control" name="woo2app_slider_cat" id="cat">
                        <?php
                        foreach ($cats as $cat) {
	                        ?>
                            <option style="text-align:right;" value="<?= $cat->slug; ?>"><?= $cat->name; ?></option>
	                        <?php
                        }
                        ?>
               </select>
            </span>
        </p>
        <p class="form-row form-row-wide el_type" id="el_link" style="display: none">
            <label for="woo2app_description_state" class="">
                لینک کامل با http  *
            </label>
            <span class="woocommerce-input-wrapper">
                <input type="text" class="input-text " name="woo2app_slider_link" id="woo2app_slider_link" placeholder="لینک کامل با http  *"  autocomplete="organization">
            </span>
        </p>
        <p class="form-row form-row-wide el_type"  id="el_video" style="display: none">
            <label for="woo2app_description_state" class="">
                لینک ویدیو کامل با http  *
            </label>
            <span class="woocommerce-input-wrapper">
                <input type="text" class="input-text " name="woo2app_slider_video" id="woo2app_slider_video" placeholder="لینک ویدیو کامل با http  *"  autocomplete="organization">
            </span>
        </p>
        <p class="form-row form-row-wide">
            <label for="woo2app_description_state" class="">
                لینک عکس
            </label>
            <span class="woocommerce-input-wrapper">
                <input type="file" class="input-text " name="woo2app_slider_src" id="woo2app_slider_src" >
                <!--                <input type="text" class="input-text " name="woo2app_slider_src" id="woo2app_slider_src" placeholder=" لینک عکس"  autocomplete="organization">-->
            </span>
        </p>
        <input type="submit" name="sbm_save" value="اضافه و ذخیره"/>
    </form>
    <hr>
    <h2 >
        <strong>     لیست اسلایدر فروشگاه </strong>
    </h2>
    <table class="form-table " style=" width:100%;direction: rtl">
        <thead>
        <tr>
            <th> عنوان </th>
            <th> لینک عکس </th>
            <th> --- </th>
        </tr>
        </thead>
        <tbody>
		<?php
		if(!$sore_info['slider']){
			echo 'آیتمی وجود ندارد.';
		}
		foreach ($sore_info['slider'] as $slider) {
			?>
            <tr  style="border-bottom: 2px solid" id="row_slider_<?= $slider['sl_id']; ?>">
                <td scope="row" class="titledesc">
                    <strong dir="rtl">    <?= esc_html($slider['title']);  ?> </strong>
                </td>
                <td class="">
                    <strong dir="rtl"> <a target="_blank" href="<?= esc_html($slider['pic']);  ?>" >  مشاهده تصویر </a></strong>
                </td>
                <td class="">
                    <form action="" method="post">
                        <input name="slider_id" type="hidden" value="<?= $slider['sl_id'];?>">
                        <input type="submit" value="حذف" name="sub_delete">
                    </form>
                </td>
            </tr>
			<?php
		}
		?>
        </tbody>
    </table>

    <script>
        jQuery('#select_action_banner').on('change', function() {
            var type_val = (jQuery('#select_action_banner').val());
            //alert(type_val)
            jQuery('.el_type').css('display','none');
            if(type_val == 5){
                jQuery('#el_video').css('display','block');
            }
            else if(type_val == 2){
                jQuery('#el_cats').css('display','block');
            }
            else if(type_val == 3){
                jQuery('#el_link').css('display','block');
            }
        });
        var map = L.map('map').setView([ '<?= $lat?>', '<?= $lng?>'], 12);
        L.tileLayer('https://developers.parsijoo.ir/web-service/v1/map/?type=tile&x={x}&y={y}&z={z}&apikey=efe3224bd92441a7abc28cffc591f2f4', {
            maxZoom: 17,
        }).addTo(map);

        var marker = L.marker(['<?= $lat?>', '<?= $lng?>']).addTo(map);
        map.on("click",function(e){
            if (marker) { // check
                map.removeLayer(marker); // remove
            }
            jQuery("#lat").val(e.latlng.lat);
            jQuery("#lng").val(e.latlng.lng);
            marker = L.marker([e.latlng.lat, e.latlng.lng]).addTo(map);

        });
    </script>
	<?php
}

function add_default_slider(){
	global $wpdb;
	$table_name = $wpdb->prefix . "woo2app_slider";
	$wpdb->query("DELETE FROM $table_name");
	$wpdb->query( "INSERT INTO $table_name ( sl_title , sl_type , sl_value , sl_pic , sl_sort ) VALUES ( 'اسلایدر 1', 4 , '' , 'http://apppash.ir/img/slider1.jpg', 1 )");
	$wpdb->query( "INSERT INTO $table_name ( sl_title , sl_type , sl_value , sl_pic , sl_sort ) VALUES ( 'اسلایدر 2', 4 , '' , 'http://apppash.ir/img/slider2.jpg', 2 )");
	$wpdb->query( "INSERT INTO $table_name ( sl_title , sl_type , sl_value , sl_pic , sl_sort ) VALUES ( 'اسلایدر 3', 4 , '' , 'http://apppash.ir/img/slider3.jpg', 3 )");
	$wpdb->query( "INSERT INTO $table_name ( sl_title , sl_type , sl_value , sl_pic , sl_sort ) VALUES ( 'اسلایدر 4', 4 , '' , 'http://apppash.ir/img/slider4.jpg', 4 )");
}
function add_default_menu(){
	global $wpdb;
	$table_name = $wpdb->prefix . "woo2app_menu";
	$wpdb->query("DELETE FROM $table_name");
	$data = array(
		array('title' => 'سوابق خرید' ,       'action' => '4' ,  'value' => '' ,            'pic' => 'http://apppash.ir/img/icon-apppash%20(19).png' , 'menu' => '1' , 'sort' => '1'),
		array('title' => 'دسته بندی محصولات' , 'action' => '10' , 'value' => '' ,            'pic' => 'http://apppash.ir/img/icon-apppash%20(25).png' , 'menu' => '1' , 'sort' => '2'),
		array('title' => 'وبلاگ' ,             'action' => '11' , 'value' => '' ,            'pic' => 'http://apppash.ir/img/icon-apppash%20(11).png' , 'menu' => '1' , 'sort' => '3'),
		array('title' => 'تماس' ,             'action' => '16' , 'value' => '1234567890' ,  'pic' => 'http://apppash.ir/img/icon-apppash%20(23).png' , 'menu' => '1' , 'sort' => '4'),
		array('title' => 'سبد خرید' ,         'action' => '6' ,  'value' => '' ,            'pic' => 'http://apppash.ir/img/icon-apppash%20(17).png' , 'menu' => '1' , 'sort' => '5'),
		array('title' => 'لیست علاقه مندی' ,   'action' => '9',   'value' => '' ,            'pic' => 'http://apppash.ir/img/icon-apppash%20(6).png' , 'menu' => '1' , 'sort' => '6'),
	);
	$wpdb->query( $wpdb->prepare("INSERT INTO $table_name 
		( menu_title , menu_action , menu_value , menu_pic , menu_menu , menu_order ) 
		VALUES ( %s , %d , %s , %s , %d , %d )", $data[0]['title'],$data[0]['action'],$data[0]['value'],$data[0]['pic'],$data[0]['menu'],$data[0]['sort']));
	$wpdb->query( $wpdb->prepare("INSERT INTO $table_name 
		( menu_title , menu_action , menu_value , menu_pic , menu_menu , menu_order ) 
		VALUES ( %s , %d , %s , %s , %d , %d )", $data[1]['title'],$data[1]['action'],$data[1]['value'],$data[1]['pic'],$data[1]['menu'],$data[1]['sort']));
	$wpdb->query( $wpdb->prepare("INSERT INTO $table_name 
		( menu_title , menu_action , menu_value , menu_pic , menu_menu , menu_order ) 
		VALUES ( %s , %d , %s , %s , %d , %d )", $data[2]['title'],$data[2]['action'],$data[2]['value'],$data[2]['pic'],$data[2]['menu'],$data[2]['sort']));
	$wpdb->query( $wpdb->prepare("INSERT INTO $table_name 
		( menu_title , menu_action , menu_value , menu_pic , menu_menu , menu_order ) 
		VALUES ( %s , %d , %s , %s , %d , %d )", $data[3]['title'],$data[3]['action'],$data[3]['value'],$data[3]['pic'],$data[3]['menu'],$data[3]['sort']));
	$wpdb->query( $wpdb->prepare("INSERT INTO $table_name 
		( menu_title , menu_action , menu_value , menu_pic , menu_menu , menu_order ) 
		VALUES ( %s , %d , %s , %s , %d , %d )", $data[4]['title'],$data[4]['action'],$data[4]['value'],$data[4]['pic'],$data[4]['menu'],$data[4]['sort']));
	$wpdb->query( $wpdb->prepare("INSERT INTO $table_name 
		( menu_title , menu_action , menu_value , menu_pic , menu_menu , menu_order ) 
		VALUES ( %s , %d , %s , %s , %d , %d )", $data[5]['title'],$data[5]['action'],$data[5]['value'],$data[5]['pic'],$data[5]['menu'],$data[5]['sort']));


}
function add_default_mainpage(){
	global $wpdb;
	$table_name = $wpdb->prefix . "woo2app_mainpage";
	$wpdb->query("DELETE FROM $table_name");
	$data = array(
		array('title' => 'محصولات پرفروش' ,       'type' => '2' ,  'value' => '{\"value\":\"\",\"count_load\":\"15\"}' ,  'show_type' => '2' ,  'pic' => '' , 'order' => '1'  , 'sort' => 'orderby=selling&order=DESC'),
		array('title' => 'جدیدترین محصولات' ,     'type' => '2' ,  'value' => '{\"value\":\"\",\"count_load\":\"15\"}' ,  'show_type' => '2' ,  'pic' => '' , 'order' => '2' , 'sort' =>  'orderby=date&order=DESC'),
		array('title' => 'نوشته های وبلاگ' ,                 'type' => '2' , 'value' => '' ,                                        'show_type' => '11' , 'pic' => '' , 'order' => '3' , 'sort' =>  '3'),
	);
	$wpdb->query( $wpdb->prepare("INSERT INTO $table_name 
		( mp_title , mp_type , mp_value , mp_showtype , mp_pic , mp_order ,mp_sort) 
		VALUES ( %s, %d, %s, %s, %s, %d, %s )", $data[0]['title'] , $data[0]['type'] , $data[0]['value'] , $data[0]['show_type'] , $data[0]['pic'] , $data[0]['order'] , $data[0]['sort'] ) );
	$wpdb->query( $wpdb->prepare("INSERT INTO $table_name 
		( mp_title , mp_type , mp_value , mp_showtype , mp_pic , mp_order ,mp_sort) 
		VALUES ( %s, %d, %s, %s, %s, %d, %s )", $data[1]['title'] , $data[1]['type'] , $data[1]['value'] , $data[1]['show_type'] , $data[1]['pic'] , $data[1]['order'] , $data[1]['sort'] ) );
	$wpdb->query( $wpdb->prepare("INSERT INTO $table_name 
		( mp_title , mp_type , mp_value , mp_showtype , mp_pic , mp_order ,mp_sort) 
		VALUES ( %s, %d, %s, %s, %s, %d, %s )", $data[2]['title'] , $data[2]['type'] , $data[2]['value'] , $data[2]['show_type'] , $data[2]['pic'] , $data[2]['order'] , $data[2]['sort'] ) );
}
function send_notif($description , $sound , $action , $value) {
	$app_id = get_option('app_id');
	$api_id = get_option('api_id');
	$content = array(
		"en" => $description
	);
	if($sound == 2){ //mute notifaction
		$fields = array(
			'app_id' => $app_id,
			'included_segments' => array('All'),
			'data' => array(
				"action" => $action,
				'value' => $value,
				'title' => get_option('blogname'),
				'alert' => get_option('blogname'),
				'time' => time()
			),
			'contents' =>  $content,
			'android_sound' => 'mute',
			'ios_sound' => 'mute.wav'
		);
	}
	else{
		$fields = array(
			'app_id' => $app_id,
			'included_segments' => array('All'),
			'data' => array(
				"action" => $action,
				'value' => $value,
				'title' =>  get_option('blogname'),
				'alert' => get_option('blogname'),
				'time' => time()),
			'contents' =>  $content,
		);
	}
	$fields = json_encode($fields);
	//return $app->wp->one_app_id;
	$ch1 = curl_init();
	curl_setopt($ch1, CURLOPT_URL, "https://onesignal.com/api/v1/notifications");
	curl_setopt($ch1, CURLOPT_HTTPHEADER, array('Content-Type: application/json',
		"Authorization: Basic  ". $api_id  ));
	curl_setopt($ch1, CURLOPT_RETURNTRANSFER, TRUE);
	curl_setopt($ch1, CURLOPT_HEADER, FALSE);
	curl_setopt($ch1, CURLOPT_POST, TRUE);
	curl_setopt($ch1, CURLOPT_POSTFIELDS, $fields);
	curl_setopt($ch1, CURLOPT_SSL_VERIFYPEER, FALSE);
	$response = curl_exec($ch1);
	curl_close($ch1);
	//var_dump($response);
	return $response;
}

function send_notif_mr2app($description , $sound , $action , $value){


	$email = get_option('email_WOO2APP');
	$pass = get_option('password_WOO2APP');
	$appid = get_option('appid_WOO2APP');
	if( $email != "" && $pass != "" && $appid != "" ){
		if($sound == 1){
			$data = array(
				"sound" => 1,
				"title" => "",
				"description" => $description,
				"action" => $action,
				"value" => $value
			);
			$data = json_encode($data);
			$data = array(
				"data" => $data
			);
		}
        elseif($sound == 2){
			$data = array(
				"sound" => 2,
				"title" => "",
				"description" => $description,
				"action" => $action,
				"value" => $value
			);
			$data = json_encode($data);
			$data = array(
				"data" => $data
			);
		}


		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, "http://panel.wp2app.ir/panel/api/send_notification2all?email=$email&password=$pass&app_id=$appid");
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			"Content-Type:multipart/form-data"	));
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
		curl_setopt($ch, CURLOPT_POST, TRUE);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		$response = curl_exec($ch);
		curl_close($ch);
		return $response;
	}
}

add_filter('woocommerce_thankyou_order_received_text', 'woo_change_order_received_text', 10, 2 );
function woo_change_order_received_text( $str, $order ) {
	$app_order = get_post_meta($order->id , 'bool_woo_order_type' , true);
	if($app_order == 1){
		$setting = get_option('woo2app_primary_setting');
		if(isset($setting['primary_setting']['app_success_back']) && !empty($setting['primary_setting']['app_success_back'])){
			wp_redirect($setting['primary_setting']['app_success_back']);
        }
	}
}

function shapeSpace_template_redirect() {
	session_start();
	if (is_checkout()) {
		if ( !is_wc_endpoint_url( 'order-pay' ) && !is_wc_endpoint_url( 'order-received' ) ) {
			if(WC()->session->get( 'order_app' )){
				$setting = get_option('woo2app_primary_setting');
				if(isset($setting['primary_setting']['app_fault_back']) && !empty($setting['primary_setting']['app_fault_back'])){
					wp_redirect($setting['primary_setting']['app_fault_back']);
				}
			}
		}
	}
}
add_action('template_redirect', 'shapeSpace_template_redirect');