<?php
/**
 * Created by apppash.com
 * User: apppash.com
 * Date: 3/16/2019
 * Time: 11:04 AM
 */

wp_enqueue_script( 'jscolor_woo.js' , WOO2APP_JS_URL.'jscolor_woo.js', array('jquery'));
wp_register_style('select2.min.css', WOO2APP_CSS_URL . 'select2.min.css');
wp_enqueue_style('select2.min.css');
//if(isset($_POST['submit'])){
if (isset($_POST['woo2app-admin']) && wp_verify_nonce($_POST['woo2app-admin'], 'woo2app-admin')) {
	$title = sanitize_title($_POST['slider_list']['title']);
	$type = 0;
	$showtype = 12;
	$pic = "";
	$value = $_POST['slider_list'];
	$array = array();
	foreach ($value['items'] as $val){
		$val_val = stripslashes($val);
		$val_val = json_decode($val_val);
		$array[] = $val_val;
	}
	$value['items'] = $array;
	$value = json_encode($value);
	global $wpdb;
	$table_name = $wpdb->prefix . "woo2app_mainpage";
	$res = $wpdb->get_results("select MAX(mp_order) AS max_order from $table_name");
	if(!is_null($res[0]->max_order)){
		foreach ($res as $key) {
			$max = $key->max_order + 1;
		}
	}else{
		$max = 1;
	}
	$r = $wpdb->query( $wpdb->prepare("INSERT INTO $table_name
		( mp_title , mp_type , mp_value , mp_showtype , mp_pic , mp_order ,mp_sort)
		VALUES ( %s, %d, %s, %d, %s, %d, %s )", $title,$type,$value,$showtype,$pic,$max, 100) );
	if($r){
		echo "<p style='color:green'>". "Saved. Sort from the sort order." .'</p>';
	}
}

?>

<div class="">
    <small>
        لیست لغزان یک لیست کوچک است که میتوانید آیتم های مختلفی مانند دسته بندی محصولات ٬ لینک و ... در آن وارد کنید
    </small>
    <form method="post" action="">
		<?php wp_nonce_field('woo2app-admin', 'woo2app-admin'); ?>
        <table class="form-table">
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    عنوان لیست
                </th>
                <td class="forminp">
                    <input type="text" class="regular-text" name="slider_list[title]"
                           value="<?php _e('title', 'woo2app'); ?>"/>
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    رنگ پس زمینه آیتم‌ها
                </th>
                <td class="forminp">
                    <input type="text" class="regular-text jscolor" id="btn_color" name="slider_list[btn_color]"  value="f5363e" />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    رنگ متن آیتم‌ها
                </th>
                <td class="forminp">
                    <input type="text" class="regular-text jscolor" id="text_color" name="slider_list[text_color]"  value="eeeeee" />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                </th>
                <td class="forminp" >
                    <a  class="cursor-pointer thickbox button">
                        + آیتم جدید
                    </a>
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                </th>
                <td class="forminp" >
                    <ol id="list_items" class="font-size-15px width-300">

                    </ol>
                </td>
            </tr>
        </table>
        <div id="add_item_slider_list" class="display-none">
            <table class="form-table">
                <tr valign="top" class="" >
                    <th scope="row" class="titledesc">
                        عنوان آیتم
                    </th>
                    <td class="forminp">
                        <input type="text" class="regular-text" id="item_title" value="<?php _e('item title', 'woo2app'); ?>"/>
                    </td>
                </tr>
                <tr valign="top" class="" >
                    <th scope="row" class="titledesc">
                        نوع
                    </th>
                    <td class="forminp">
                        <select class="regular-text" id="item_type" onchange="change_cat_tag(this)" >
                            <option value="category"> دسته بندی </option>
                            <option value="sub_cat_product"> محصولات زیر دسته ها </option>
                            <option value="tag"> برچسب </option>
                            <option value="link"> لینک </option>
                        </select>
                    </td>
                </tr>
                <tr valign="top" id="val_cat" class="type_value" >
                    <th scope="row" class="titledesc">
                        دسته بندی
                    </th>
                    <td class="forminp">
                        <select name="cat" data-id="cat" data-placeholder="انتخاب دسته بندی"
                                id="item_cat" class="regular-text js-data-example-ajax ">
                            <option class="text-right" value="all">  همه دسته ها </option>
                        </select>
                    </td>
                </tr>
                <tr valign="top" id="val_tag" class="type_value display-none">
                    <th scope="row" class="titledesc">
                        برچسب
                    </th>
                    <td class="forminp">
                        <select name="tags" data-id="tags" data-placeholder="انتخاب  برچسب"
                                id="item_tag" class="regular-text  js-data-example-ajax ">

                        </select>
                    </td>
                </tr>
                <tr valign="top" id="val_link" class="type_value display-none">
                    <th scope="row" class="titledesc">
                        لینک (به صورت کامل)
                    </th>
                    <td class="forminp">
                        <input type="text" class="regular-text" id="item_link" value="<?= _e('link', 'woo2app'); ?>"/>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                    </th>
                    <td class="forminp">
                        <button type="button" onclick="add_item()"
                                class="button button-default">
                            اضافه آیتم جدید به لیست
                        </button>
                    </td>
                </tr>
            </table>
        </div>
        <hr>
        <div class="padding-left-10px display-inline-block">
	        <?php submit_button("+ افزودن به صفحه"); ?>
        </div>
    </form>
</div>
<?php
wp_enqueue_script( 'loadajax.js' , WOO2APP_JS_URL.'loadAjaxPosts.js', array('jquery'));
wp_enqueue_script('select2.min.js', WOO2APP_JS_URL . 'select2.min.js');
?>

<script>
    jQuery(window).load(function(){
        jQuery('.thickbox').click(function(){
            jQuery("#add_item_slider_list").slideDown();
            jQuery(this).hide()
        });
    });
</script>
<script>
    let id = 0;
    function add_item() {
        id ++;
        let  title = jQuery("#item_title").val();
        let  type =  jQuery("#item_type").val();
        let  val;
        let my_obj;
        if(type == "category" || type == 'sub_cat_product'){
            val = jQuery("#item_cat").val();
            if(val == 'all') val = "";
        }
        else if(type == "tag"){
            val = jQuery("#item_tag").val();
        }
        else if(type == "link"){
            val = jQuery("#item_link").val();
        }
        my_obj = {'title' : title , 'type' : type , 'val' : val};
        console.log(JSON.stringify(my_obj))
        let value = JSON.stringify(my_obj);
        // #list_items
        let child = '<li id="li_' + id + '">';
        child += "<input type='hidden' value='"+ value +"' name='slider_list[items][]' />";
        child += "<strong>" + title + "</strong>";
        child += "<button class='red marginLR-10px button button-small' onclick='delete_row(" + id + ")' > <?php _e('DEL', 'woo2app');?> </button>";
        child += "</li>";


        jQuery("#list_items").append(child);
        jQuery("#TB_closeWindowButton").click();
    }
    function delete_row(id) {
        console.log(id);
        jQuery("#li_"+ id).remove();
    }
    function change_cat_tag(e) {
        if(e.value == 'category' || e.value == 'sub_cat_product'){
            jQuery('.type_value').attr('style','display:none')
            jQuery('#val_cat').attr('style' , 'display:table-row')
        }
        else if(e.value == 'tag'){
            jQuery('.type_value').attr('style','display:none')
            jQuery('#val_tag').attr('style' , 'display:table-row')
        }
        else if(e.value == 'link'){
            jQuery('.type_value').attr('style','display:none')
            jQuery('#val_link').attr('style' , 'display:table-row')
        }
    }
</script>