<?php
if (!defined( 'ABSPATH' )) exit;
wp_register_style( 'bootstrap', WOO2APP_CSS_URL.'bootstrap.css'  );
wp_enqueue_style( 'bootstrap' );
wp_register_style( 'bootstrap-select', WOO2APP_CSS_URL.'bootstrap-select.css'  );
wp_enqueue_style( 'bootstrap-select' );
?>
    <div class="div_mainpage1">
        <div class="col-md-8 pull-right" style="margin-top: 10px;">
            <div class="panel panel-default">
                <div class="panel-heading">
                    آیتم جدید
                </div>
                <div class="panel-body">
                    <div class="col-md-12 pull-right">
                        <select class="form-control" id="select_item_option" style="margin-bottom: 10px">
                            <option value="10"> لیست عمودی </option>
                            <option value="11"> لیست افقی </option>
                        </select>
                    </div>
                    <div class="div_mainpage div_list_horizontal ">
                        <div class="col-md-12 pull-right">
                            <input placeholder="عنوان آیتم جدید" type="text" class="regular-text" name="txt_title_hor_item" id="txt_title_hor_item" >
                        </div>
                        <div class="col-md-12 pull-right" id="category_list" style="margin-top:10px;">
                            <select id="value_cat_items_hor" class="selectpicker form-control" data-live-search="true" title="انتخاب کنید...">
                                <option value="0" style="text-align:right;">دسته خود را انتخاب کنید</option>
                                <option style="text-align:right;" value="all"> همه دسته ها </option>
                                <?php
                                $args = array('hide_empty' => 0 ,
                                    'taxonomy' => 'category'
                                );
                                $cats = get_categories($args);
                                foreach ($cats as $cat) {
                                    ?>
                                    <option style="text-align:right;" value="<?= $cat->term_id; ?>"><?= $cat->name; ?></option>
                                    <?php
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="div_mainpage div_list_vertical hide">
                        <div class="col-md-12 pull-right">
                            <input placeholder="عنوان آیتم جدید" type="text" class="regular-text" name="txt_title_ver_item" id="txt_title_ver_item">
                        </div>
                        <div class="col-md-12 pull-right" id="category_list" style="margin-top:10px;">
                            <select id="value_cat_items_ver" class="selectpicker form-control" data-live-search="true" title="انتخاب کنید...">
                                <option value="0" style="text-align:right;">دسته خود را انتخاب کنید</option>
                                <option style="text-align:right;" value="all"> همه دسته ها </option>
                                <?php
                                $args = array('hide_empty' => 0 ,
                                    'taxonomy' => 'category'
                                );
                                $cats = get_categories($args);
                                foreach ($cats as $cat) {
                                    ?>
                                    <option style="text-align:right;" value="<?= $cat->term_id; ?>"><?= $cat->name; ?></option>
                                    <?php
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-12 text-left" style="margin-top:10px;">
                        <div class="col-md-8">
                            <button onclick ="add_item_mainpage()" type="button" class="btn btn-primary btn-sm">+ افزودن به صفحه</button>
                        </div>
                        <div class="col-md-4 ">
                            <img style="width:25px;height:25px;" id="img_load1" class="hide" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                        </div>
                    </div>
                    <div class="col-md-12 pull-right" style="margin-top:15px;">
                        <div class="alert alert-danger hide"  id="alert_item">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php
wp_enqueue_script( 'jquery-ui.js' , WOO2APP_JS_URL.'jquery-ui.js', array('jquery'));
wp_enqueue_script( 'sort.js' , WOO2APP_JS_URL.'sort.js?ver=1.1', array('jquery'));
wp_enqueue_media();
wp_enqueue_script( 'upload_item_banner.js' , WOO2APP_JS_URL.'upload_item_banner.js', array('jquery'));
?><script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script><?php
wp_enqueue_script( 'bootstrap-select.js' , WOO2APP_JS_URL.'bootstrap-select.js', array('jquery'));
?>