<?php
if (!defined( 'ABSPATH' )) exit;
$current_url = admin_url().'admin.php?page=woo2app/woo2app_design/woo2app_show_design.php&tab=chideman&sub_page=create';
wp_register_style( 'bootstrap', WOO2APP_CSS_URL.'bootstrap.css?ver=1.2'  );
wp_enqueue_style( 'bootstrap' );
wp_register_style( 'select2.min.css', WOO2APP_CSS_URL . 'select2.min.css' );
wp_enqueue_style( 'select2.min.css' );
wp_enqueue_script( 'select2.min.js', WOO2APP_JS_URL . 'select2.min.js' );

global $wpdb;
if($_POST){
	if(isset($_POST['ins_list'])){
		$title = $_REQUEST["title"];
		$value = $_POST['list_product'];
		$custom_product_list = get_option('mr2app_custom_product_list');
		if(!is_array($custom_product_list)){
			$custom_product_list = array();
		}
		$custom_product_list[] = array(
			'id' => uniqid(),
			'title' => $title,
			'list_product' => $value,
		);
		$r = update_option('mr2app_custom_product_list', $custom_product_list);
		if($r){
			echo "<p style='color:green'>". "لیست محصولات دلخواه ذخیره شد .از قسمت مرتب سازی مرتب کنید." .'</p>';
		}
	}
	if(isset($_POST['del_q'])){
		$id = $_POST['id_q'];
		$custom_product_list = get_option("mr2app_custom_product_list");
		$f = "";
		$i = 0;
		foreach ($custom_product_list as $key) {
			if ($id == $key["id"]) {
				$f = $i;
			}
			$i++;
		}
		array_splice($custom_product_list, $f, 1);
		update_option("mr2app_custom_product_list",$custom_product_list);
		//exit();
		if($r){
			echo "<p style='color:green'>". "آیتم مورد نظر حذف شد." .'</p>';
		}
	}
}
$results = get_option('mr2app_custom_product_list');
?>
<div class="div_mainpage1">
    <div class="col-md-8 pull-right" style="margin-top: 10px;">
        <div class="panel panel-default">
            <div class="panel-heading">
                آیتم جدید
            </div>
            <div class="panel-body">
                <div class="col-md-12 pull-right">
                    <select class="form-control" id="select_item_option" style="margin-bottom: 10px">
                        <option value="2"> لیست افقی </option>
                        <option value="3"> لیست عمودی </option>
                        <option value="51"> پیشنهاد شگفت انگیز </option>
                        <option value="91"> لیست دلخواه </option>
                    </select>
                </div>

                <div class="div_mainpage div_list_vertical">
                    <div class="col-md-6 pull-right">
                        <input placeholder="عنوان آیتم جدید" type="text" style="width: 100%" class="regular-text" name="txt_title_ver_item" id="txt_title_ver_item">
                    </div>
                    <div class="col-md-6 pull-right">
                        <input placeholder="تعداد لود محصول" type="number" style="width: 100%" value="15" class="regular-text" name="txt_number_load_ver_item" id="txt_number_load_ver_item">
                    </div>
                    <div class="clearfix"></div>
                    <div class="col-md-6 pull-right" style="margin-top:15px;">
                        <div class="form-group">
                            <select class="regular-text" style="width: 100%" id="cat_tag_ver" onchange="change_cat_tag(this)" >
                                <option value="cat_ver"> دسته بندی </option>
                                <option value="tag_ver"> برچسب </option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-6 pull-right" id="category_list" style="margin-top:15px;">
                        <div class="cat_tag_ver"  id="cat_list_ver">
                            <select name="cat" data-id="cat"  style="width:100%"  data-placeholder="انتخاب دسته بندی" id="value_cat_items_ver"  class="col-md-12 js-data-example-ajax ">
                                <option style="text-align:right;" value="all"> همه دسته ها </option>
                            </select>
                        </div>
                        <div class="cat_tag_ver hide"  id="tag_list_ver">
                            <select name="tags" data-id="tags" style="width:100%" data-placeholder="انتخاب  برچسب" id="value_tag_items_ver"  class="col-md-12 js-data-example-ajax ">

                            </select>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="col-md-12" >
                        <select  id="value_sort_ver" class="form-control" >
                            <option value=""> پیشفرض </option>
                            <option value="orderby=popularity&order=DESC"> محبوبیت </option>
                            <option value="orderby=date&order=DESC"> جدیدترین ها </option>
                            <option value="orderby=price&order=ASC"> کمترین قیمت </option>
                            <option value="orderby=price&order=DESC"> بیشترین قیمت </option>
                            <option value="orderby=selling&order=DESC"> پر فروش </option>
                        </select>
                    </div>
                </div>

                <div class="div_mainpage div_list_horizontal hide">
                    <div class="col-md-6 pull-right">
                        <input placeholder="عنوان آیتم جدید" style="width: 100%" type="text" class="regular-text" name="txt_title_hor_item" id="txt_title_hor_item" >
                    </div>
                    <div class="col-md-6 pull-right">
                        <input placeholder="تعداد لود محصول" type="number" style="width: 100%" value="15" class="regular-text" name="txt_number_load_hor_item" id="txt_number_load_hor_item">
                    </div>
                    <div class="clearfix"></div>
                    <div class="col-md-6 pull-right" style="margin-top:15px;">
                        <div class="form-group">
                            <select class="regular-text" id="cat_tag" style="width: 100%" onchange="change_cat_tag(this)" >
                                <option value="cat"> دسته بندی </option>
                                <option value="tag"> برچسب </option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-6 pull-right" id="category_list" style="margin-top:15px;">
                        <div class="cat_tag"  id="cat_list">
                            <select name="cat" data-id="cat" style="width:100%"  data-placeholder="انتخاب دسته بندی" id="value_cat_items_hor"  class="col-md-12 js-data-example-ajax ">
                                <option style="text-align:right;" value="all"> همه دسته ها </option>
                            </select>
                        </div>
                        <div class="cat_tag hide"  id="tag_list">
                            <select name="tags" data-id="tags" style="width:100%" data-placeholder="انتخاب  برچسب" id="value_tag_items_hor"  class="col-md-12 js-data-example-ajax ">

                            </select>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <select  id="value_sort_hor" class="form-control" >
                            <option value=""> پیشفرض </option>
                            <option value="orderby=popularity&order=DESC"> محبوبیت </option>
                            <option value="orderby=date&order=DESC"> جدیدترین ها </option>
                            <option value="orderby=price&order=ASC"> کمترین قیمت </option>
                            <option value="orderby=price&order=DESC"> بیشترین قیمت </option>
                            <option value="orderby=selling&order=DESC"> پر فروش </option>
                        </select>
                    </div>
                </div>

                <div class="div_mainpage div_pishnehad_vizhe hide">
                    <div id="category_list" style="margin-top:10px;">
                        <div class="col-md-6 pull-right" >
                            <select id="value_pishnehad_vizhe" style="width: 100%;" class="regular-text" >
								<?php
								$results =  get_option('mr2app_custom_product_list');
								foreach ($results as $key) {
									?>
                                    <option value='<?= json_encode($key['list_product'])?>' style="text-align:right;"> <?= $key['title'];?></option>
									<?php
								}
								?>
                            </select>
                            <a href="<?= $current_url . '&sub_page1=product_list'?>" >
                                ایجاد لیست شگفت انگیز
                            </a>
                        </div>
                        <div class="col-md-6 pull-right" >
                            <input type="text" placeholder="زمان انقضا بر حسب ساعت" style="width: 100%;" class="text-right regular-text" id="value_pishnehad_vizhe_time" />
                        </div>

                    </div>
                </div>
                <div class="div_mainpage div_custom_list hide">
                    <div id="category_list" style="margin-top:10px;">
                        <div class="col-md-6 pull-right" >
                            <select id="value_custom_list" style="width: 100%;" class="regular-text">
								<?php
								$results =  get_option('mr2app_custom_product_list');
								foreach ($results as $key) {
									?>
                                    <option value='<?= json_encode($key['list_product'])?>' style="text-align:right;"> <?= $key['title'];?></option>
									<?php
								}
								?>
                            </select>
                            <a href="<?= $current_url . '&sub_page1=product_list'?>" >
                                ایجاد لیست دلخواه
                            </a>
                        </div>
                    </div>
                </div>
                <br class="clear">
                <div class="col-md-6 text-left" style="margin-top:15px;">
                    <div class="col-md-8">
                        <button onclick ="add_item_mainpage()" type="button" class="button button-primary"> + افزودن به صفحه </button>
                    </div>
                    <div class="col-md-4 ">
                        <img style="width:25px;height:25px;" id="img_load1" class="hide" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                    </div>
                </div>
                <div class="col-md-12 pull-right" style="margin-top:15px;">
                    <div class="alert alert-danger hide"  id="alert_item">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
wp_enqueue_script( 'loadajax.js' , WOO2APP_JS_URL.'loadAjaxPosts.js', array('jquery'));
wp_enqueue_script( 'jquery-ui.js' , WOO2APP_JS_URL.'jquery-ui.js', array('jquery'));
wp_enqueue_script( 'sort.js' , WOO2APP_JS_URL.'sort.js?ver=1.1', array('jquery'));
wp_enqueue_media();
wp_enqueue_script( 'upload_item_banner.js' , WOO2APP_JS_URL.'upload_item_banner.js', array('jquery'));
wp_enqueue_script( 'bootstrap.min.js' , WOO2APP_JS_URL.'bootstrap.min.js', array('jquery'));
wp_enqueue_script( 'bootstrap-select.js' , WOO2APP_JS_URL.'bootstrap-select.js', array('jquery'));
?>
<script>
    jQuery('#select_action_banner').on('change', function() {
        var type_val = (jQuery('#select_action_banner').val());
        //alert(type_val)
        jQuery('.el_type').css('display','none');
        if(type_val == 1){
            jQuery('#el_products').css('display','table-row');
        }
        else if(type_val == 2){
            jQuery('#el_cats').css('display','table-row');
        }
        else if(type_val == 3){
            jQuery('#el_link').css('display','table-row');
        }
    });
    jQuery('#search_product_banner1').keyup(function(){
        // alert(11)
        var  v = jQuery(this).val();
        if(v.length >= 3){
            jQuery("#img_load").attr("style",'display:block');
            jQuery.ajax({
                url: ajaxurl,
                data: {
                    action: "load_all_product",
                    search_product : v
                },
                success:function(data) {
                    jQuery("#img_load").attr("style",'display:none');
                    jQuery("#value_post_items").html(data);
                    jQuery("#value_post_items").prepend('<option selected value="0"> انتخاب کنید ....</option>')
                }
            });
        }
    });
</script>

<script>
    function change_cat_tag(e) {
        if(e.value == 'cat'){
            jQuery('.cat_tag').addClass('hide')
            jQuery('#cat_list').removeClass('hide')
        }
        else if(e.value == 'tag'){
            jQuery('.cat_tag').addClass('hide')
            jQuery('#tag_list').removeClass('hide')
        }
        else if(e.value == 'tag_ver'){
            jQuery('.cat_tag_ver').addClass('hide')
            jQuery('#tag_list_ver').removeClass('hide')
        }
        else if(e.value == 'cat_ver'){
            jQuery('.cat_tag_ver').addClass('hide')
            jQuery('#cat_list_ver').removeClass('hide')
        }
    }
</script>