<style>
    .banner:hover{
        border:2px solid #555;
    }
</style>
<?php
wp_register_style('select2.min.css', WOO2APP_CSS_URL . 'select2.min.css');
wp_enqueue_style('select2.min.css');
wp_enqueue_script('select2.min.js', WOO2APP_JS_URL . 'select2.min.js');
global $wpdb;
$table_name = $wpdb->prefix . "woo2app_slider";
if(isset($_REQUEST['sort'])){
    $ids = $_POST['ids'];
    $i = 0;
    foreach ($ids as $id){
        $i++;
        $wpdb->update( 
            $table_name, 
            array( 
                'sl_sort' => $i	// integer (number) 
            ), 
            array( 'sl_id' => $id ), 
            array( 
                '%d'	// value2
            ), 
            array( '%d' ) 
        );
    }
    
}

if(isset($_POST['submit_banner'])){
    if($_REQUEST["select_action_banner"] && $_REQUEST["src_val"]){
        $title =$_REQUEST["title"];
        $pic = $_REQUEST["src_val"];
        $type = $_REQUEST["select_action_banner"];
        $value = "" ;
        $sort = 100 ;
        if($type == 1) {
            $value = $_REQUEST["product"];
        }
        elseif($type == 2){
            $value = $_REQUEST["cat"];
        }
        elseif ($type == 3) {
            $value = $_REQUEST["link"];
        }
        elseif ($type == 8) {
            $value = json_encode($_REQUEST["tags"]);
        }
        elseif ($type == 9) {
	        $value = explode(',',$_REQUEST["CustomList"]);
	        $value = json_encode($value);
        }
        $r = $wpdb->query( $wpdb->prepare("INSERT INTO $table_name 
		( sl_title , sl_type , sl_value , sl_pic , sl_sort ) 
		VALUES ( %s, %d, %s, %s, %d )", $title,$type,$value,$pic , $sort) );
        if($r){
            echo "<p style='color:green'>". ' اسلایدر ذخیره شد.' .'</p>';
        }
    }
    else{
        echo "<p style='color:red'>". ' * مشکلی رخ داده است ، لطفا فیلد ها را به طور صحیح پر کنید.' .'</p>';
    }
}
$args = array(
    'hide_empty' => 0 ,
    'taxonomy' => 'product_cat'
);
$cats = get_categories($args);
?>
<div >
    <form action="" method="post">
        <h3 style="background-color: #e5e5e5;padding: 7px">
            افزدون اسلاید جدید به صفحه اصلی
        </h3>
        <hr>
        <table class="form-table " style="direction: rtl">
            <tbody>
            <tr valign="top" class="">
                <th scope="row" class="titledesc">
                    <label >عنوان اسلاید (در اپ دیده نمیشود)</label>
                </th>
                <td class="forminp">
                    <input type="text" class="regular-text" name="title" id="title" value="" placeholder="عنوان">
                </td>
            </tr>
            <tr valign="top" class="">
                <th scope="row" class="titledesc"> 
                    <label >انتخاب اکشن *</label>
                </th>
                <td class="forminp">
                    <select class="regular-text" id="select_action_banner" name="select_action_banner" required="required">
                        <option value="0"> لطفا یکی از موارد زیر را انتخاب کنید</option>
                        <option value="1" >باز کردن یک محصول</option>
                        <option value="2">باز کردن لیست محصولات یک دسته بندی</option>
                        <option value="3">باز کردن یک لینک</option>
                        <option value="8">باز کردن لیست محصولات بر اساس تگ</option>
                        <option value="9">باز کردن لیست دلخواه محصولات</option>
                        <option value="4">بدون اکشن</option>
                    </select>
                </td>
            </tr>
            <tr valign="top" class="el_type" id="el_tags" style="display: none">
                <th scope="row" class="titledesc">
                    <label > برچسب محصولات </label>
                </th>
                <td class="forminp">
                    <select name="tags" data-id="tags"   class="regular-text col-md-10 js-data-example-ajax form-control">
                            
                    </select>
                </td>
            </tr>
            <tr valign="top" class="el_type" id="el_products" style="display: none">
                <th scope="row" class="titledesc">
                    <label > محصول </label>
                </th>
                <td class="forminp">
                    <select name="product" data-id="product"   class="regular-text col-md-10 js-data-example-ajax form-control">
                            
                    </select>
                </td>
            </tr>
            <tr valign="top" class="el_type" id="el_CustomList" style="display: none">
                <th scope="row" class="titledesc">
                    <label > لیست دلخواه </label>
                </th>
                <td class="forminp">
                    <select name="CustomList" id="value_custom_list" class="regular-text col-md-6 pull-right" data-live-search="true" title="انتخاب کنید...">
			            <?php
			            $results =  get_option('mr2app_custom_product_list');
			            foreach ($results as $key) {
				            ?>
                            <option value='<?= implode(',',$key['list_product'])?>' style="text-align:right;"> <?= $key['title'];?></option>
				            <?php
			            }
			            ?>
                    </select>
                </td>
            </tr>
            <tr valign="top" class="el_type" id="el_cats" style="display: none">
                <th scope="row" class="titledesc">
                    <label > دسته بندی </label>
                </th>
                <td class="forminp">
                    <select name="cat" data-id="cat"  class="regular-text col-md-10 js-data-example-ajax form-control">
                            
                    </select>
                </td>
            </tr>
            <tr valign="top" class="el_type" id="el_link" style="display: none">
                <th scope="row" class="titledesc">
                    <label > لینک کامل با http  * </label>
                </th>
                <td class="forminp">
                    <input type="text"  class="regular-text" name="link" id="link" value="" placeholder="لینک">
                    <p>
                        در صورتی که میخواهید به یک برگه یا پست لینک ایجاد کند میتوانید
                        <a href="https://apppash.com/wp-page-link" target="_blank">
                            این آموزش
                        </a>
                        را مطالعه کنید
                    </p>
                </td>
            </tr>
            <tr  >
                <th scope="row" class="titledesc">
                    <label dir="rtl"> انتخاب تصویر *</label>
                    <small>
                        <hr>
                        بهترین نسب تصویر : 2x1
                        <hr>
                        رزولوشن پیشنهادی : 500x1000
                        <hr>
                        حداکثر حجم پیشنهادی تصویر : 100KB
                        <hr>
                        فرمت تصاویر : PNG - JPG - JPEG - GIF
                    </small>
                </th>
                <td class="forminp">
                    <input type="hidden" id="txt_url_item_hami" name="src_val">
                    <img id="div_image_item_hami" class="banner" style="cursor: pointer;width: 300px;height: 150px" src="http://placehold.it/750x375&text=2x1">
                </td>
            </tr>
            <tr >
                <th scope="row" class="titledesc">
                </th>
                <td class="forminp">
                    <input type="submit"  value="اضافه"  class="button button-primary" name="submit_banner">
                </td>
            </tbody>
        </table>
    </form>
</div>
<hr>

<form name="form_sort" id="form_sort" method="post" action="">
    <h3 style="background-color: #e5e5e5;padding: 7px">
        حذف و مرتب سازی اسلایدها
    </h3>
    <p style="">
        برای مرتب سازی روی ردیف ها ، drag & drop کنید و سپس روی دکمه مرتب سازی کلیک کنید.
    </p>
    <hr>
    <table class="wp-list-table widefat fixed striped tags ui-sortable " style=" width:600px;direction: rtl">
        <thead>
            <tr>
                <th scope="col" style="width:20px" class='manage-column column-name'>
                    <span>#</span>
                </th>
                <th scope="col"  style="width:100px" class='manage-column column-name'>
                    <span>عنوان</span>
                </th>
                <th scope="col" style=""  class='manage-column column-name'>
                    <span >تصویر</span>
                </th>
                <th scope="col" style="width:50px"  class='manage-column column-name'>
                    <span ></span>
                </th>
            </tr>
        </thead>
        <tbody id="sortable">
        <?php
        global $wpdb;
        $table_name = $wpdb->prefix . "woo2app_slider";
        $sliders = $wpdb->get_results("SELECT * FROM $table_name ORDER BY sl_sort ASC");
        $i = 0;
        foreach ($sliders as $slider) {
            $i++;
            ?>
            <tr  style="border-bottom: 2px solid;cursor:move" id="row_slider_<?= $slider->sl_id; ?>">
                <input type="hidden" name="ids[]" value="<?= $slider->sl_id; ?>">
                <td scope="row" style="vertical-align:middle;" class="titledesc">
                    <strong dir="rtl">    <?= $i  ?> </strong>
                </td>
                <td scope="row" class="titledesc" style="vertical-align:middle;">
                    <strong dir="rtl">    <?= esc_html($slider->sl_title);  ?> </strong>
                </td>
                <td class="" style="vertical-align:middle;">
                    <a href="<?= $slider->sl_pic;  ?>" target="_blank"><img src="<?= $slider->sl_pic;  ?>" style="width: 150px;height: 75px;"></a>
                </td>
                <td class="" style="vertical-align:middle;text-align: center">
                    <button onclick="delete_slider_hami(<?= $slider->sl_id; ?>)" type="button" class="button">حذف</button>
                </td>
            </tr>
            <?php
        }
        ?>
        </tbody>
    </table>
<p>
  <input type="submit" name="sort" class="button button-default" value="مرتب سازی">
</p>
</form>
<?php
wp_enqueue_media();
wp_enqueue_script( 'loadajax.js' , WOO2APP_JS_URL.'loadAjaxPosts.js', array('jquery'));
?>
<script>
    jQuery(function() {
        jQuery( "#sortable" ).sortable();
        jQuery( "#sortable" ).disableSelection();
    });
    jQuery('#select_action_banner').on('change', function() {
        var type_val = (jQuery('#select_action_banner').val());
        //alert(type_val)
        jQuery('.el_type').css('display','none');
        if(type_val == 1){
            jQuery('#el_products').css('display','table-row');
        }
        else if(type_val == 2){
            jQuery('#el_cats').css('display','table-row');
        }
        else if(type_val == 3){
            jQuery('#el_link').css('display','table-row');
        }
        else if(type_val == 8){
            jQuery('#el_tags').css('display','table-row');
        }
        else if(type_val == 9){
            jQuery('#el_CustomList').css('display','table-row');
        }
    });
    var custom_uploader_hami;
    jQuery('#div_image_item_hami').click(function (e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: 'انتخاب تصویر',
            library: {type: 'image'},
            button: {text: 'انتخاب'},
            multiple: false
        });
        custom_uploader_hami.on('select', function() {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#txt_url_item_hami').val(attachment.url);
            url_image = attachment.url;
            jQuery('#div_image_item_hami').attr("src",url_image);
        });
        custom_uploader_hami.open();
    })
    function delete_slider_hami(id){
        if(confirm("آیا مطمئن به حذف هستید ؟")){
            jQuery.ajax({
                url: ajaxurl,
                data: {
                    action: "delete_item_slider_hami",
                    "id" : id
                },
                success:function(data) {
                    jQuery("#img_load_del_sl").addClass("hide");
                    data = data.substring(0,data.length -1);
                    if(data == 1){
                        jQuery('#row_slider_' + id ).remove();
                    }
                }
            });
        }
    }
    jQuery('.search_product_banner').keyup(function(){
        var id = jQuery(this).attr('data-id');
        //alert(id);
        var  v = jQuery(this).val();
        if(v.length >= 3){
            jQuery("#img_load"+id).attr("style",'display:block');
            jQuery.ajax({
                url: ajaxurl,
                data: {
                    action: "load_all_product",
                    search_product : v
                },
                success:function(data) {
                    jQuery("#img_load"+id).attr("style",'display:none');
                    jQuery("#value_post_items_menu"+id).html(data);
                }
            });
        }
    });
</script>